View Issue Details

IDProjectCategoryView StatusLast Update
0003973Talerwallet (WebExtensions)public2017-06-06 14:18
ReporterChristian GrothoffAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.1 
Target Version0.3Fixed in Version0.3 
Summary0003973: wallet needs to check exchange satisfies merchant requirements
DescriptionThe merchant may impose constraints on the set of mints it is willing to do business with (cost, auditor). The wallet needs to check if its available coins meet those requirements.
TagsNo tags attached.

Relationships

related to 0004027 closedMarcello Stanisci Provide multi auditors, multi exchange feature 

Activities

Florian Dold

2016-03-02 02:19

manager   ~0010209

Not sure what this is supposed to mean ... the wallet already checks if enough coins of a suitable denomination are available.

Christian Grothoff

2016-03-02 02:39

manager   ~0010212

The contract from the merchant may specify a set of acceptable auditors and/or exchanges. Once we have multiple exchanges, it is conceivable that some are not acceptable to the merchant, even if the fee structure is OK, i.e. because they are not sufficiently audited. So we need to not only check if we have enough coins, but also if we have enough coins from acceptable exchanges. Furthermore, right now, all coins must be from the same exchange (we could lift this restriction in the future).

Florian Dold

2016-03-02 02:41

manager   ~0010213

I see.

The wallet already does what you describe, except for the auditor part.

Christian Grothoff

2016-03-02 04:10

manager   ~0010214

Yes, the auditor part was what this was mostly about.

Christian Grothoff

2017-02-01 13:52

manager   ~0011684

We also need a new fee (in /keys, in contract), which is the maximum (or actual) aggregation fee that the exchange charges per aggregate wire transfer (as we learned that can be a significant expense).

Florian Dold

2017-04-26 14:13

manager   ~0012070

Fixed in 3c563c7, the wallet's coin selection now considers the auditors that the merchant's proposal terms include.

Issue History

Date Modified Username Field Change
2015-09-17 14:17 Christian Grothoff New Issue
2015-09-17 14:17 Christian Grothoff Status new => confirmed
2015-09-19 20:49 Christian Grothoff Target Version 0.1 => 0.3
2015-11-17 14:21 Christian Grothoff Assigned To => tg
2015-11-17 14:21 Christian Grothoff Status confirmed => assigned
2015-11-17 15:14 Christian Grothoff Target Version 0.3 => 0.2
2015-11-29 13:52 Christian Grothoff Category merchant API (HTTP-based) => merchant backend API (HTTP specification)
2015-11-29 13:58 Christian Grothoff Category merchant backend API (HTTP specification) => wallet (browser-based)
2016-01-22 23:29 Christian Grothoff Category wallet (browser-based) => wallet (WebExtensions)
2016-03-01 14:46 Christian Grothoff Assigned To tg => Florian Dold
2016-03-02 02:19 Florian Dold Note Added: 0010209
2016-03-02 02:19 Florian Dold Status assigned => feedback
2016-03-02 02:39 Christian Grothoff Note Added: 0010212
2016-03-02 02:39 Christian Grothoff Status feedback => assigned
2016-03-02 02:41 Florian Dold Note Added: 0010213
2016-03-02 04:10 Christian Grothoff Note Added: 0010214
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004272
2016-10-10 08:40 Christian Grothoff Summary wallet needs to check mint satisfies merchant requirements => wallet needs to check exchange satisfies merchant requirements
2016-10-18 00:27 Florian Dold Target Version 0.2 => 0.3
2017-01-13 16:11 Christian Grothoff Relationship added related to 0004027
2017-02-01 13:52 Christian Grothoff Note Added: 0011684
2017-04-26 14:13 Florian Dold Status assigned => resolved
2017-04-26 14:13 Florian Dold Resolution open => fixed
2017-04-26 14:13 Florian Dold Note Added: 0012070
2017-05-03 02:16 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed